goods and life +

Java for OS X 2012-006 1.0 アップデート来た

Java for OS X 2012-006 1.0 のアップデートが来てます (*゜▽゜*) ♪

OS X 10.8.2
Java for OS X 2012-006 1.0 のアップデートが来ています。
Java for OS X 2012-006 1.0 で Java SE6を1.6.0_37 にアップデートがきてます。(任意で入れている人だけ)

Mac OS X 10.7 (Lion)以降には、Java はプリインストールされていません。
Oracle から最新の Java 7 を入手するには、Mac OS X 10.7.3 以降が必要です。

Java for OS X 2012-006 1.0

この Java for OS X 2012-006 1.0 で Java SE6を1.6.0_37 にアップデートすると、Apple より提供された Java アプレットプラグインがすべての Web ブラウザからアンインストールされます。

Web ページでアプレットを使用するには、”プラグインが見つかりません” ラベルの領域をクリックして、Oracle の提供する Java アプレットプラグインの最新バージョンをダウンロードする必要があります。

64ビット・ブラウザ(Safari や Firefoxなど)が必要です
ただし、Oracle の最新の Java 7 は Mac OS X の 64ビット・ブラウザ内で Java コンテンツを実行する必要があります。
Chrome などの 32ビット・ブラウザは、Macプラットフォームでの Java 7 をサポートしていません。

 

Java for Mac OS Xのダウンロード
http://www.java.com/ja/download/mac_download.jsp?locale=ja

Mac OS X Lion以降に Java 7 をインストールした場合、Java はデフォルトで有効化されます。
ブラウザで Java アプリケーションを実行する場合は、ブラウザで Java が有効になっていることも確認します。

Java 7 がインストールされている場合は、システム環境設定の下に欄に Java のアイコンが表示されます。
Java バージョン6 以前は、Mac のユーティリティフォルダにある Java Preferences.appに表示されます。(※ Java 7 をインストールすると、Java バージョン6 は使えません。)

Mac OS X 10.6.8
Java for Mac OS X 10.6 アップデート 11が来ています。
Java for Mac OS X 10.6 アップデート 11 で Java SE 6 を 1.6.0_37 にアップデートすることにより、セキュリティ、信頼性、および互換性が向上します。

Mac OS X 10.6以前の Mac OS には、Apple の Java がプリインストールされています。
Oracle から最新の Java 7 を入手するには、API の追加された Mac OS X 10.7.3 以降が必要です。
※ Mac OS X 10.6.x では Java 7 は使えません。

Java for Mac OS X 10.6 アップデート 11

Java for Mac OS X 10.6 アップデート 9 以降がインストールされていないシステムにこのアップデートを適用すると、Web ブラウザが Java アプレットを自動的に実行しないように設定されます。
Web ページで“停止中のプラグイン”ラベルの領域をクリックすると Java アプレットを再度有効にできます。

アプレットを長期間実行しなかった場合には、Java Web プラグインは再び無効になります。
Java の古いバージョンには悪意のある Web サイトにコンピュータを乗っ取られるなど、セキュリティ上の脆弱性があります。

Java と JavaScript は別の物です。
Java が有効かどうかに関わらず、Java のバージョンを確認出来るページ
・Java 仮想マシンのテストページ

使わないんだったら無効になっている方が安全(*゜▽゜*)b

URL :
TRACKBACK URL :

  • コメント ( 2 )
  • トラックバック ( 0 )
  1. こんばんは

    古いバージョンのままだとセキュリティに問題があるんですね
    それは、気をつけないといけないですね

    ニュースでもやっているPC乗っ取りもあるかもしれないので、怖いですね

  2. デフォルトで無効にしてしまうアップデートをおこなうのは、脆弱性がわかっている古いものを放置する人が多いから、抜いてしまえってことでしょうね。
    アプレットを動かすサイトって、気をつけないとこわいですからねー

この記事にコメントする

Return Top